/* 公共引入,勿随意修改,修改时需经过确认 */
import Vue from "vue"
import "./element"
import './vue-virtual-scroller'
import "./avue"
import "./vxe-table"
import "./support"
import "@/styles/vab.scss"
import vab from "@/utils/vab"
import "@/remixIcon"
import "@/colorfulIcon"
import "@/config/permission"
import "@/utils/errorLog"
import "./f12"
import permission from "@/directive/permission"
import print from "./print"
import "./vabIcon"
import VabQueryForm from "@/components/VabQueryForm"
import VabQueryFormTopPanel from "@/components/VabQueryForm/VabQueryFormTopPanel"
import VabQueryFormBottomPanel from "@/components/VabQueryForm/VabQueryFormBottomPanel"
import VabQueryFormLeftPanel from "@/components/VabQueryForm/VabQueryFormLeftPanel"
import VabQueryFormRightPanel from "@/components/VabQueryForm/VabQueryFormRightPanel"
import directSearch from "@/components/FormComponents/directSearch"
import elTableSelf from "@/components/TabComponents/index"
import dialogForm from "@/components/DialogComponents/Form"

Vue.use(permission)
Vue.use(vab)
Vue.use(print)

Vue.component("vab-query-form", VabQueryForm)
Vue.component("vab-query-form-left-panel", VabQueryFormTopPanel)
Vue.component("vab-query-form-right-panel", VabQueryFormBottomPanel)
Vue.component("vab-query-form-top-panel", VabQueryFormLeftPanel)
Vue.component("vab-query-form-bottom-panel", VabQueryFormRightPanel)
Vue.component("direct-search", directSearch)
Vue.component("el-table-self", elTableSelf)
Vue.component("dialog-form", dialogForm)
